clash-lib-1.8.4: Clash: a functional hardware description language - As a library

Copyright | (C) 2019 Myrtle Software Ltd
License | BSD2 (see the file LICENSE)
Maintainer | Christiaan Baaij <christiaan.baaij@gmail.com>
Safe Haskell | None
Language | Haskell2010

Clash.Primitives.GHC.Literal

Description

Blackbox generation for literal data constructors. (System)Verilog only!

Synopsis

- assign :: Element -> [Element] -> [Element]
- signed :: Element -> [Element]
- signedLiteral :: Int -> Integer -> Element
- unsigned :: Element -> [Element]
- unsignedLiteral :: Int -> Integer -> Element
- literalTF :: Text -> (Bool -> [Either Term Type] -> Int -> (BlackBoxMeta, BlackBox)) -> BlackBoxFunction

# Documentation

assign :: Element -> [Element] -> [Element] Source #

signed :: Element -> [Element] Source #

signedLiteral :: Int -> Integer -> Element Source #

unsigned :: Element -> [Element] Source #

unsignedLiteral :: Int -> Integer -> Element Source #

literalTF Source #

Arguments

:: Text | Base name of constructors (for example: GHC.Word.W)
-> (Bool -> [Either Term Type] -> Int -> (BlackBoxMeta, BlackBox)) | Functions processing
-> BlackBoxFunction |

Constructs "clean" literals.